import request from '@/utils/request'

// 查询预测结果列表
export function listForecastResult(query) {
  return request({
    url: '/manage/forecastResult/list',
    method: 'get',
    params: query
  })
}

// 查询预测结果详细
export function getForecastResult(id) {
  return request({
    url: '/manage/forecastResult/' + id,
    method: 'get'
  })
}

// 新增预测结果
export function addForecastResult(data) {
  return request({
    url: '/manage/forecastResult',
    method: 'post',
    data: data
  })
}

// 修改预测结果
export function updateForecastResult(data) {
  return request({
    url: '/manage/forecastResult',
    method: 'put',
    data: data
  })
}

// 删除预测结果
export function delForecastResult(id) {
  return request({
    url: '/manage/forecastResult/' + id,
    method: 'delete'
  })
}
